Subject: Re: bridge/brctl/ip

From: Andrew Lunn <[email-masked]>
Date: Sun, 3 Apr 2016 00:39:06 +0200

On Sat, Apr 02, 2016 at 09:26:55PM +0200, Bert Vermeulen wrote:
> Hi all,
> 
> I'm wondering about the current userspace toolset to control bridging in
> the Linux kernel. As far as I can determine, functionality is a bit
> scattered right now between the iproute2 (ip, bridge) and bridge-utils
> (brctl) tools:
> 
> - adding/deleting ports to/from bridge: brctl only

ip link set lan0 master br0

I think most of the normal operations can be done with iproute2.  What
might be missing is things like setting the forwarding delay, hello
time, etc.

   Andrew